Name: libxml
Version: 1.8.17
Release: alt2

Packager: AEN <aen@altlinux.ru>

Summary: The library for manipulating XML files
License: LGPL
Group: System/Libraries
Url: http://xmlsoft.org/

Source: ftp://xmlsoft.org/%name-%version.tar.bz2

%set_autoconf_version 2.13
%set_automake_version 1.4

# Automatically added by buildreq on Thu Oct 31 2002
BuildRequires: glibc-devel-static libreadline-devel zlib-devel

%package devel
Summary: Development environment for building applications manipulating XML files
Group: Development/C
Requires: %name = %version-%release
Conflicts: libxml2-devel < 2.3.0

%package devel-static
Summary: Static library for building static applications manipulating XML files
Group: Development/C
Requires: %name-devel = %version-%release
Conflicts: libxml2-devel-static < 2.3.0

%description
This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the shared library required to run
applications manipulating XML files.

%description devel
This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the libraries, include and other files
you can use to develop applications manipulating XML files.

%description devel-static
This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

This package contains the static library you can use to develop
statically linked applications manipulating XML files.

%prep
%setup -q

# remove conflicting ltconfig and ltmain.sh
(cd $RPM_BUILD_DIR/%name-%version && \
rm -f ltmain.sh ltconfig && \
libtoolize --force && \
aclocal &&
automake &&
autoconf)

%build
%configure

%make_build

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO

%_libdir/lib*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/*.sh
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/gnome-xml
%doc doc/*.gif doc/*.html doc/html

%files devel-static
%_libdir/*.a

%changelog
* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1.8.17-alt2
- rebuild with gcc3

* Tue Jan 29 2002 AEN <aen@logic.ru> 1.8.17-alt1
- new version

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.8.16-alt1
- 1.8.16

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.8.15-alt1
- 1.8.15

* Fri Jun 29 2001 AEN <aen@logic.ru> 1.8.14-alt1
- new version

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.8.13-alt1
- 1.8.13
- Moved static library to devel-static subpackage.

* Sat May 05 2001 Rider <rider@altlinux.ru> 1.8.12-alt1
- 1.8.12

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 1.8.11-ipl2mdk
- Updated conflicts tag.

* Sun Jan 14 2001 Dmitry V. Levin <ldv@fandra.org> 1.8.11-ipl1mdk
- 1.8.11

* Sun Jan 07 2001 Dmitry V. Levin <ldv@fandra.org> 1.8.10-ipl3mdk
- Specfile cleanup; updated URL, summaries and descriptions.
- Added html documentation.

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.10-1mdk
- new and shiny version.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.9-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.9-2mdk
- rebuild

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.9-1mdk
- new version
- big move

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.8.8-4mdk
- spec cleanup.

* Thu Jul 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.8-3mdk
- use some macros

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-2mdk
- moved xml-config to devel package. Thanx to Stefan

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-1mdk
- updated.
- spec cleanup.

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.7-1mdk
- fix release tag

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.7-1mdk
- release from helix stuffs.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.6-2mdk
- fix group

* Sun Feb 20 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.8.6-1mdk
- 1.8.6

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.7.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.1

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.0.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30
